The minCompileSdk (31) specified in a dependency’s AAR metadata のエラーが突然出る場合の対策

ある日突然、  minCompileSdk  (31)  のエラーが出ることがあります。今まで動いていたのにです。 今回は、以下のエラーが出る場合の対策を紹介します。

 

エラーメッセージ

まずはSDK Managerを起動しましょう。
 
1. 上部メニューの[Tools]-[SDK Manager]からSDK Managerを起動する。
2. Android API 31にチェックを付けてApplyボタンを押下
( Detailを表示しない状態だと AndroidSDK Platform31と Source for Android 31しか選択されないがそれで問題ない。)
 

エラーが出る状態で作成してしまったプロジェクトはSDKをインストールしただけでは改善しないので、以下の対応が必要です。(既に作成済みのプロジェクトは正常に動作するはずです。)

 

1. メニューから[File]-[Project Structure]を
2. 左ペインから Modules を選択する。
3. Compile Sdk Version を31に指定する。
4. OKボタンを押下する。

コメントを残す

メールアドレスが公開されることはありません。